<?php

class m120725_101018_tbl_estados_candidatos extends CDbMigration
{
	public function up()
	{
            $this->createTable('tbl_estados_candidatos', array(
                'id' => 'pk',            
                'descripcion' => 'string NOT NULL',
            ));
            
            $this->dropColumn('tbl_candidatos', 'estado');
            $this->addColumn('tbl_candidatos', 'id_estado', 'integer');
	}

	public function down()
	{
	    $this->dropTable('tbl_estados_candidatos');
            $this->dropColumn('tbl_candidatos', 'id_estado');
            $this->addColumn('tbl_candidatos', 'estado', 'string');
	}

	/*
	// Use safeUp/safeDown to do migration with transaction
	public function safeUp()
	{
	}

	public function safeDown()
	{
	}
	*/
}